"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bubblegumSetCollectionSize = exports.getBubblegumSetCollectionSizeInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const types_1 = require("../types");
function getBubblegumSetCollectionSizeInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.u8()],
        ['setCollectionSizeArgs', (0, types_1.getSetCollectionSizeArgsSerializer)(context)],
    ], { description: 'BubblegumSetCollectionSizeInstructionData' }), (value) => ({
        ...value,
        discriminator: 36,
    }));
}
exports.getBubblegumSetCollectionSizeInstructionDataSerializer = getBubblegumSetCollectionSizeInstructionDataSerializer;
function bubblegumSetCollectionSize(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplTokenMetadata', 'metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s');
    const collectionMetadataAccount = input.collectionMetadata;
    const collectionAuthorityAccount = input.collectionAuthority;
    const collectionMintAccount = input.collectionMint;
    const bubblegumSignerAccount = input.bubblegumSigner;
    const collectionAuthorityRecordAccount = input.collectionAuthorityRecord;
    keys.push({
        pubkey: collectionMetadataAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionMetadataAccount, true),
    });
    signers.push(collectionAuthorityAccount);
    keys.push({
        pubkey: collectionAuthorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionAuthorityAccount, true),
    });
    keys.push({
        pubkey: collectionMintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionMintAccount, false),
    });
    signers.push(bubblegumSignerAccount);
    keys.push({
        pubkey: bubblegumSignerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(bubblegumSignerAccount, false),
    });
    if (collectionAuthorityRecordAccount) {
        keys.push({
            pubkey: collectionAuthorityRecordAccount,
            isSigner: false,
            isWritable: (0, umi_1.checkForIsWritableOverride)(collectionAuthorityRecordAccount, false),
        });
    }
    const data = getBubblegumSetCollectionSizeInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.bubblegumSetCollectionSize = bubblegumSetCollectionSize;
//# sourceMappingURL=bubblegumSetCollectionSize.js.map