"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertMasterEditionV1ToV2 = exports.getConvertMasterEditionV1ToV2InstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getConvertMasterEditionV1ToV2InstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.u8()]], { description: 'ConvertMasterEditionV1ToV2InstructionData' }), (value) => ({
        ...value,
        discriminator: 12,
    }));
}
exports.getConvertMasterEditionV1ToV2InstructionDataSerializer = getConvertMasterEditionV1ToV2InstructionDataSerializer;
function convertMasterEditionV1ToV2(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplTokenMetadata', 'metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s');
    const masterEditionAccount = input.masterEdition;
    const oneTimeAuthAccount = input.oneTimeAuth;
    const printingMintAccount = input.printingMint;
    keys.push({
        pubkey: masterEditionAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(masterEditionAccount, true),
    });
    keys.push({
        pubkey: oneTimeAuthAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(oneTimeAuthAccount, true),
    });
    keys.push({
        pubkey: printingMintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(printingMintAccount, true),
    });
    const data = getConvertMasterEditionV1ToV2InstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.convertMasterEditionV1ToV2 = convertMasterEditionV1ToV2;
//# sourceMappingURL=convertMasterEditionV1ToV2.js.map