import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { CreateArgs, CreateArgsArgs } from '../types';
export type CreateInstructionAccounts = {
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    mint: PublicKey | Signer;
    authority?: Signer;
    payer?: Signer;
    updateAuthority?: PublicKey | Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
};
export type CreateInstructionData = {
    discriminator: number;
    createArgs: CreateArgs;
};
export type CreateInstructionDataArgs = {
    createArgs: CreateArgsArgs;
};
export declare function getCreateInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateInstructionDataArgs, CreateInstructionData>;
export declare function create(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateInstructionAccounts & CreateInstructionDataArgs): TransactionBuilder;
