import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { CreateMasterEditionArgs, CreateMasterEditionArgsArgs } from '../types';
export type CreateMasterEditionInstructionAccounts = {
    edition?: PublicKey;
    mint: PublicKey;
    updateAuthority?: Signer;
    mintAuthority: Signer;
    payer?: Signer;
    metadata?: PublicKey;
    tokenProgram?: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
};
export type CreateMasterEditionInstructionData = {
    discriminator: number;
    createMasterEditionArgs: CreateMasterEditionArgs;
};
export type CreateMasterEditionInstructionDataArgs = {
    createMasterEditionArgs: CreateMasterEditionArgsArgs;
};
export declare function getCreateMasterEditionInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateMasterEditionInstructionDataArgs, CreateMasterEditionInstructionData>;
export declare function createMasterEdition(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateMasterEditionInstructionAccounts & CreateMasterEditionInstructionDataArgs): TransactionBuilder;
