import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { Creator, CreatorArgs } from '../types';
export type CreateMetadataAccountInstructionAccounts = {
    metadata?: PublicKey;
    mint: PublicKey;
    mintAuthority: Signer;
    payer?: Signer;
    updateAuthority?: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
};
export type CreateMetadataAccountInstructionData = {
    discriminator: number;
    data: {
        name: string;
        symbol: string;
        uri: string;
        sellerFeeBasisPoints: number;
        creators: Option<Array<Creator>>;
    };
    isMutable: boolean;
};
export type CreateMetadataAccountInstructionDataArgs = {
    data: {
        name: string;
        symbol: string;
        uri: string;
        sellerFeeBasisPoints: number;
        creators: Option<Array<CreatorArgs>>;
    };
    isMutable: boolean;
};
export declare function getCreateMetadataAccountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateMetadataAccountInstructionDataArgs, CreateMetadataAccountInstructionData>;
export declare function createMetadataAccount(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateMetadataAccountInstructionAccounts & CreateMetadataAccountInstructionDataArgs): TransactionBuilder;
