import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { CollectionDetails, CollectionDetailsArgs, DataV2, DataV2Args } from '../types';
export type CreateMetadataAccountV3InstructionAccounts = {
    metadata?: PublicKey;
    mint: PublicKey;
    mintAuthority: Signer;
    payer?: Signer;
    updateAuthority?: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
};
export type CreateMetadataAccountV3InstructionData = {
    discriminator: number;
    data: DataV2;
    isMutable: boolean;
    collectionDetails: Option<CollectionDetails>;
};
export type CreateMetadataAccountV3InstructionDataArgs = {
    data: DataV2Args;
    isMutable: boolean;
    collectionDetails: Option<CollectionDetailsArgs>;
};
export declare function getCreateMetadataAccountV3InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateMetadataAccountV3InstructionDataArgs, CreateMetadataAccountV3InstructionData>;
export declare function createMetadataAccountV3(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateMetadataAccountV3InstructionAccounts & CreateMetadataAccountV3InstructionDataArgs): TransactionBuilder;
