import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type DelegateStakingV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type DelegateStakingV1InstructionData = {
    discriminator: number;
    delegateStakingV1Discriminator: number;
    amount: bigint;
    authorizationData: Option<AuthorizationData>;
};
export type DelegateStakingV1InstructionDataArgs = {
    amount: number | bigint;
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getDelegateStakingV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DelegateStakingV1InstructionDataArgs, DelegateStakingV1InstructionData>;
export declare function delegateStakingV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DelegateStakingV1InstructionAccounts & DelegateStakingV1InstructionDataArgs): TransactionBuilder;
