import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type DelegateTransferV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type DelegateTransferV1InstructionData = {
    discriminator: number;
    delegateTransferV1Discriminator: number;
    amount: bigint;
    authorizationData: Option<AuthorizationData>;
};
export type DelegateTransferV1InstructionDataArgs = {
    amount: number | bigint;
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getDelegateTransferV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DelegateTransferV1InstructionDataArgs, DelegateTransferV1InstructionData>;
export declare function delegateTransferV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DelegateTransferV1InstructionAccounts & DelegateTransferV1InstructionDataArgs): TransactionBuilder;
