import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { MigrateArgs, MigrateArgsArgs } from '../types';
export type MigrateInstructionAccounts = {
    metadata?: PublicKey;
    edition?: PublicKey;
    token: PublicKey;
    tokenOwner: PublicKey;
    mint: PublicKey;
    payer?: Signer;
    authority?: Signer;
    collectionMetadata: PublicKey;
    delegateRecord: PublicKey;
    tokenRecord?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type MigrateInstructionData = {
    discriminator: number;
    migrateArgs: MigrateArgs;
};
export type MigrateInstructionDataArgs = {
    migrateArgs: MigrateArgsArgs;
};
export declare function getMigrateInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MigrateInstructionDataArgs, MigrateInstructionData>;
export declare function migrate(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: MigrateInstructionAccounts & MigrateInstructionDataArgs): TransactionBuilder;
