import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type MintV1InstructionAccounts = {
    token: PublicKey;
    tokenOwner?: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    authority?: Signer;
    delegateRecord?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    splAtaProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type MintV1InstructionData = {
    discriminator: number;
    mintV1Discriminator: number;
    amount: bigint;
    authorizationData: Option<AuthorizationData>;
};
export type MintV1InstructionDataArgs = {
    amount: number | bigint;
    authorizationData?: Option<AuthorizationDataArgs>;
};
export declare function getMintV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintV1InstructionDataArgs, MintV1InstructionData>;
export declare function mintV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: MintV1InstructionAccounts & MintV1InstructionDataArgs): TransactionBuilder;
