import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type TransferV1InstructionAccounts = {
    token: PublicKey;
    tokenOwner: PublicKey;
    destination: PublicKey;
    destinationOwner: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    ownerTokenRecord?: PublicKey;
    destinationTokenRecord?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    splAtaProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type TransferV1InstructionData = {
    discriminator: number;
    transferV1Discriminator: number;
    amount: bigint;
    authorizationData: Option<AuthorizationData>;
};
export type TransferV1InstructionDataArgs = {
    amount: number | bigint;
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getTransferV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferV1InstructionDataArgs, TransferV1InstructionData>;
export declare function transferV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: TransferV1InstructionAccounts & TransferV1InstructionDataArgs): TransactionBuilder;
