import { Context, GetDataEnumKind, GetDataEnumKindContent, Serializer } from '@metaplex-foundation/umi';
import { Collection, CollectionArgs } from '.';
export type CollectionToggle = {
    __kind: 'None';
} | {
    __kind: 'Clear';
} | {
    __kind: 'Set';
    fields: [Collection];
};
export type CollectionToggleArgs = {
    __kind: 'None';
} | {
    __kind: 'Clear';
} | {
    __kind: 'Set';
    fields: [CollectionArgs];
};
export declare function getCollectionToggleSerializer(context: Pick<Context, 'serializer'>): Serializer<CollectionToggleArgs, CollectionToggle>;
export declare function collectionToggle(kind: 'None'): GetDataEnumKind<CollectionToggleArgs, 'None'>;
export declare function collectionToggle(kind: 'Clear'): GetDataEnumKind<CollectionToggleArgs, 'Clear'>;
export declare function collectionToggle(kind: 'Set', data: GetDataEnumKindContent<CollectionToggleArgs, 'Set'>['fields']): GetDataEnumKind<CollectionToggleArgs, 'Set'>;
export declare function isCollectionToggle<K extends CollectionToggle['__kind']>(kind: K, value: CollectionToggle): value is CollectionToggle & {
    __kind: K;
};
