"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCollectionToggle = exports.collectionToggle = exports.getCollectionToggleSerializer = void 0;
const _1 = require(".");
function getCollectionToggleSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        ['None', s.unit()],
        ['Clear', s.unit()],
        [
            'Set',
            s.struct([['fields', s.tuple([(0, _1.getCollectionSerializer)(context)])]], { description: 'Set' }),
        ],
    ], { description: 'CollectionToggle' });
}
exports.getCollectionToggleSerializer = getCollectionToggleSerializer;
function collectionToggle(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.collectionToggle = collectionToggle;
function isCollectionToggle(kind, value) {
    return value.__kind === kind;
}
exports.isCollectionToggle = isCollectionToggle;
//# sourceMappingURL=collectionToggle.js.map