"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMigrateArgs = exports.migrateArgs = exports.getMigrateArgsSerializer = void 0;
const _1 = require(".");
function getMigrateArgsSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        [
            'V1',
            s.struct([
                ['migrationType', (0, _1.getMigrationTypeSerializer)(context)],
                ['ruleSet', s.option(s.publicKey())],
            ], { description: 'V1' }),
        ],
    ], { description: 'MigrateArgs' });
}
exports.getMigrateArgsSerializer = getMigrateArgsSerializer;
function migrateArgs(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.migrateArgs = migrateArgs;
function isMigrateArgs(kind, value) {
    return value.__kind === kind;
}
exports.isMigrateArgs = isMigrateArgs;
//# sourceMappingURL=migrateArgs.js.map