"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTransferArgs = exports.transferArgs = exports.getTransferArgsSerializer = void 0;
const _1 = require(".");
function getTransferArgsSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        [
            'V1',
            s.struct([
                ['amount', s.u64()],
                [
                    'authorizationData',
                    s.option((0, _1.getAuthorizationDataSerializer)(context)),
                ],
            ], { description: 'V1' }),
        ],
    ], { description: 'TransferArgs' });
}
exports.getTransferArgsSerializer = getTransferArgsSerializer;
function transferArgs(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.transferArgs = transferArgs;
function isTransferArgs(kind, value) {
    return value.__kind === kind;
}
exports.isTransferArgs = isTransferArgs;
//# sourceMappingURL=transferArgs.js.map